<?php
namespace Teknisa\MAN\Controllers;

use Teknisa\MAN\Services\TipoVendaService;
use Zeedhi\Framework\Controller\Crud;
use Zeedhi\Framework\DataSource\Manager;
use Zeedhi\Framework\DTO;

class TipoVenda extends Crud {

    protected $dataSourceName = 'tipoVenda';
    /**
     * @var TipoVendaService
     */
    protected $TipoVendaService;

    public function __construct (Manager $dataSourceManager, TipoVendaService $tipoVendaService) {
        $this->tipoVendaService = $tipoVendaService;
        parent::__construct($dataSourceManager);
    }
    
    public function find(DTO\Request\Filter $request, DTO\Response $response) {
        $filterData = $request->getFilterCriteria();
        $filterData->setDataSourceName($this->dataSourceName);
        $dataSet = $this->dataSourceManager->findBy($filterData);
        $response->addDataSet($dataSet);
    }
}